#ifndef _VERYFORWARD_H_
#define _VERYFORWARD_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file SmearUtil.h
/// \brief RESOLution class, and some generic definitions


#include <vector>
#include "TLorentzVector.h"

#include "interface/SmearUtil.h"

#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"
#include "Utilities/ExRootAnalysis/interface/TSimpleArray.h"
#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"
#include "Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h"

#include "H_BeamParticle.h"
#include "H_BeamLine.h"
#include "H_RomanPot.h"


#include "Utilities/Fastjet/plugins/CDFCones/interface/PhysicsTower.hh"

using namespace std;

class VeryForward {

 public:
  /// Constructor
  VeryForward(string DetDatacard);

  void ZDC(ExRootTreeWriter *treeWriter,ExRootTreeBranch *branchZDC,TRootGenParticle *particle);
  void RomanPots(ExRootTreeWriter *treeWriter, ExRootTreeBranch *branchRP220,ExRootTreeBranch *branchFP420,TRootGenParticle *particle) ;

  bool relative_energy;
  int kickers_on;

 H_BeamLine* beamline1;
 H_BeamLine* beamline2;

 private:
 
 RESOLution *DET;

};
#endif
